Subject: RE: how to request the desired bandwidth? RFC3209 section 4.7.3

From: "Hong Liao" <[email-masked]>
Date: Fri, 31 May 2002 12:11:02 -0400

Hi,

I also think it is 'peak date rate'.  But if I sent out the peak date rate
very high 'FFFFFFFF', the router should not be able to handle it, and send
back the path error message, right?

Thanks,

Hong (Julia) Liao
ATM/Broadband Network Integration
Telcordia Technologies, Inc

Tel:  (973) 829-4570
Fax: (973) 829-5962

                    Vasanthi                                                                                       
                    Thirumalai           To:     "'Hong Liao'" <[email-masked]>, [email-masked]                  
                    <Vasanthi@tel        cc:     (bcc: Hong Liao/Telcordia)                                        
                    lium.com>            Subject:     RE: how to request the desired bandwidth?  RFC3209 section   
                                         4.7.3                                                                     
                    05/30/02                                                                                       
                    05:40 PM                                                                                       

The 'peak data rate' is used to specify the desired bandwidth.

-Vasanthi
-----Original Message-----
From: Hong Liao [mailto:[email-masked]]
Sent: Thursday, May 30, 2002 12:00 PM
To: [email-masked]
Subject: how to request the desired bandwidth? RFC3209 section 4.7.3

Hi,

RFC3209 Section 4.7.3,  it says "When a new path message is considered for
admission, the bandwidth requested is compared with the bandwidth available
at the priority specified in the set up priority"

Here I want to know how to request the desired bandwidth from the path msg.
As I know, in the path message, there is one Sender Tspec object, and
inside this object, it has traffic parameters like 'token bucket rate',
'token bucket size', 'peak data rate'.......  I want to know which
parameter can be used to specify the desired bandwidth the node wants.  Or
desired BW will not be defined from this object at all?

Can someone tell me how to request the BW in the Path msg, and if it is not
available, a PathErr msg will be sent back?

Thanks in an advance.
Julia

---

From: Mudhafar Hassan-Ali <[email-masked]>
Date: Fri, 31 May 2002 12:22:08 -0700

This is a classical dual leaky bucket question when it comes to how much bandwidth should be allocated to a
connection or an LSP. Basically r (bucket rate) reflects the average bandwidth, whereas the p reflects the maximum
bit rate the packet can be emitted, given enough credit in the bucket. Hence, for call admission control (CAC)
purposes, the allocate bandwidth is usually between these two values; i.e. r<allocated bandwidth<p, depending how
much delay can be tolerated and how much big the buffer assigned to the LSP.

Mudhafar